//RectWaveGuideControlPanel.java
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
//import java.lang.*;  

public class RectWaveGuideControlPanel extends Panel{
    //private static final Color bgcolor = Color.lightGray;
    //private static final Color bgcolor = new Color(160,200,200);
     private static final Color bgcolor = new Color(236,236,236);
    Label lab1, lab2;
    Choice ch1, ch2;
    
    public RectWaveGuideControlPanel(){
	super();
        setLayout(null);
	setBackground(bgcolor);
	
	lab1 = new Label("Select: ", Label.RIGHT);
        lab1.setFont(new Font("SanSerif",Font.BOLD,12));
	
	lab2 = new Label("Plot: ", Label.RIGHT);
	lab2.setFont(new Font("SanSerif",Font.BOLD,12));
	
	ch1 = new Choice();
	//ch1.addItem(" Input");
        //ch1.addItem(" Output");
        ch1.addItem(" Plot Electric Field");
        ch1.addItem(" Plot Magnetic Field");
	ch1.addItem(" Plot Power Density");
        ch1.addItem(" Instructions");
	
        //ch2 = new Choice();
	//ch2.addItem("Cross Section");
	
        lab1.setBounds(10,10,50,20);
	ch1.setBounds(70,7,180,20);
	//lab2.setBounds(160,10,50,20);
	//ch2.setBounds(220,10,80,20);
	
	add(lab1);
	add(ch1);
	
	//add(lab2);
	//add(ch2);
    }
    
    public void paint(Graphics g){
	g.setColor(bgcolor.darker());
	g.fillRect(0,getSize().height-2,getSize().width,2);
	g.fillRect(getSize().width-2,0,2,getSize().height);
	g.setColor(bgcolor.brighter());
	g.fillRect(0,0,2,getSize().height-1);
	g.fillRect(0,0,getSize().width-2,2);
    }
    
}